using System;

class Program
{
    static void Main()
    {
        int N = int.Parse(Console.ReadLine());
        int[] A = Array.ConvertAll(Console.ReadLine().Split(), int.Parse);
        int[] B = Array.ConvertAll(Console.ReadLine().Split(), int.Parse);

        long max = 0;

        for (int i = 0; i < N; i++)
        {
            int xorSum = 0;
            int andSum = B[i];

            for (int j = i; j < N; j++)
            {
                xorSum ^= A[j];
                andSum &= B[j];

                long value = (long)xorSum * andSum;
                max = Math.Max(max, value);
            }
        }
        Console.WriteLine(max);
    }
}